# --- !Ups

--------------------------------------------------------------------------------
-- ACTOR MODULE
--------------------------------------------------------------------------------
CREATE SCHEMA IF NOT EXISTS MUSARK_ACTOR;

CREATE TABLE MUSARK_ACTOR.ORGANISATION (
  ORG_ID NUMBER(20) GENERATED BY DEFAULT AS IDENTITY,
  FULL_NAME VARCHAR(255) NOT NULL,
  TEL VARCHAR(20),
  WEB VARCHAR(255),
  SYNONYMS VARCHAR(255),
  SERVICE_TAGS VARCHAR(500),
  CONTACT VARCHAR2(255),
  EMAIL VARCHAR2(255),
  PRIMARY KEY (ORG_ID)
);

CREATE TABLE MUSARK_ACTOR.ORGANISATION_ADDRESS (
  ORGADDRESSID NUMBER(20) GENERATED BY DEFAULT AS IDENTITY,
  ORG_ID NUMBER(20) NOT NULL,
  STREET_ADDRESS VARCHAR(255),
  STREET_ADDRESS_2 VARCHAR(255),
  POSTAL_CODE_PLACE VARCHAR(255),
  COUNTRY_NAME VARCHAR(255),
  PRIMARY KEY (ORGADDRESSID),
  FOREIGN KEY (ORG_ID) REFERENCES MUSARK_ACTOR.ORGANISATION(ORG_ID)
);


INSERT INTO MUSIT_MAPPING.ACTOR (ACTORNAME, DATAPORTEN_UUID, DATAPORTEN_USERNAME, APPLICATION_UUID)
VALUES ('And, Arne1', '12345678-adb2-4b49-bce3-320ddfe6c90f', 'andarn', '41ede78c-a6f6-4744-adad-02c25fb1c97c');

INSERT INTO MUSIT_MAPPING.ACTOR (ACTORNAME, DATAPORTEN_UUID, DATAPORTEN_USERNAME, APPLICATION_UUID)
VALUES ('Kanin, Kalle1', 'd5a9a938-0905-470b-a892-88d0e7359579', 'kaninka', '5224f873-5fe1-44ec-9aaf-b9313db410c6');



INSERT INTO MUSARK_ACTOR.ORGANISATION (ORG_ID, FULL_NAME, TEL, WEB, SYNONYMS, SERVICE_TAGS) VALUES (1, 'Kulturhistorisk museum - Universitetet i Oslo', '22 85 19 00', 'www.khm.uio.no', '|Kulturhistorisk museum|UKM|KHM|', '|storage_facility|');
INSERT INTO MUSARK_ACTOR.ORGANISATION (ORG_ID, FULL_NAME, TEL, WEB, SYNONYMS, SERVICE_TAGS) VALUES (10, 'Arkeologisk museum', '22', 'ee', '|Ark museum|AM|', '');

INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(394,'University of Pisa, Department of Chemistry and Industrial Chemistry','39-050-2219258','http://www.scich.it/index.html',  '|analysis|','Maria Perla Colombini / Jeannette J. Lucejko','j.lucejko@dcci.unipi.it');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(393,'University College London','','','|analysis|','Richard I Macphail','r.macphail@ucl.ac.uk');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(392,'Universitetet i Bergen','','http://www.uib.no/fg/flom/63523/paleozoologi','|analysis|','Anne Karin Hufthammer','Anne.Hufthammer@uib.no');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(391,'Umeå Universitet','46-90-786 7939','Johan.Linderholm@umu.se','|analysis|','Johan Linderholm','Johan.Linderholm@umu.se');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(390,'Stoneslab','4618 461003 / 46702606334','http://stoneslab.se/','|analysis|','','stonesslab@gmail.com');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(389,'Societas Archaeologica Upsaliensis (SAU)','','http://www.sau.se/service/osteologi/','|analysis|','Emma Sjöling','emma.sjoling@sau.se');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(388,'Rolf Sørensen, Kari E. Henningsmoen og Helge Irgens Høeg','','','|analysis|','','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(387,'Research Laboratory for Archaeology & The History of Art', '','','|analysis|','','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(386,'Poznan radiocarbon laboratory', '','','|analysis|','','c.fourteen@radiocarbon.pl');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(385,'NTNU Genomics Core Facility','72825345','http://www.ntnu.edu/mh/gcf','|analysis|','Vidar Beisvåg','vidar.beisvag@ntnu.no');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(384,'Norwegian Geological Survey','','','|analysis|','','ngu@ngu.no');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(383,'Nordic Laboratory for Luminescence Dating, Risø National Laboratory','','','|analysis|','','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(382,'NOK - Natur og Kultur','','www.nokam.dk','|analysis|','Annine Moltsen','nok@nokam.dk');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(381,'Naturhistoriska riksmuseet','','','|analysis|','Kjell Billström','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(380,'Naturhistorisk musuem, UiO','','','|analysis|','Hans-Jørgen Berg','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(379,'Nasjonallaboratoriene for datering','73 59 33 06','http://www.ntnu.no/museum/nasjonallaboratoriene-for-datering','|analysis|','Marie-Josée Nadeau / Terje Thun','datlab@vm.ntnu.no');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(378,'Museum of Archaeology/UiS','51832600','http://am.uis.no/','|analysis|','Håkan Petterson','post-am@uis.no');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(377,'Molekylær-lab','73 59 21 45 / 73 59 21 60','http://www.ntnu.no/web/museum/','|analysis|','','post@vm.ntnu.no');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(376,'Moesgård Museum','0045 87 39 40 41','','|analysis|','Peter Hambro Mikkelsen','peter.hambro.mikkelsen@moesmus.dk');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(375,'Miljöarkeologiska laboratoriet (MAL)','','','|analysis|','','mal@umu.se');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(374,'Malmö Kulturmiljö','','','|analysis|','Anders Högberg','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(373,'Macrogen Europe','','http://dna.macrogen.com/eng/','|analysis|','','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(372,'Lunds universitet','','http://www.geologi.lu.se/forskning/laboratorier-utrustning/laboratoriet-for-14c-datering','|analysis|','Mats Rundgren','mats.rundgren@geol.lu.se');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(371,'Luminescence Dating Laboratory','(206) 543-5240','','|analysis|','','anthinfo@uw.edu');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(370,'Konserveringslab','73 59 21 45 / 73 59 21 60','http://www.ntnu.no/web/museum/','|analysis|','','post@vm.ntnu.no');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(369,'Jakobsson Lab','','http://www.iob.uu.se/research/evolution-and-development/jakobsson?languageId=1','|analysis|','','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(368,'Institutt for Geovitenskap, UiB','55583387/55582628','','|analysis|','Ole Tumyr','ole.tumyr@uib.no');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(367,'Institute of Archaeology, University College London','44 (0)20 7679 4760','http://www.ucl.ac.uk/archaeology/staff/profiles/macphail.htm','|analysis|','Dr Richard I Macphail','r.macphail@ucl.ac.uk');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(366,'Heimdal-archaeometry','45 45 85 72 70 / 45 21 96 31 76.','','|analysis|','Arne Jouttijärvi','heimdal@archaeometry.dk');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(365,'Eurofins Genomics','49 8092 8289-0','https://www.eurofinsgenomics.eu/','|analysis|','','nfo-eu@eurofins.com');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(364,'DNA-lab Naturhistorisk Museum Oslo','22851866','http://www.nhm.uio.no/english/research/infrastructure/dna-lab/','|analysis|','Jarl Andreas Anmarkrud','j.a.anmarkrud@nhm.uio.no');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(363,'Chrono Centre','','http://www.chrono.qub.ac.uk/content.html','|analysis|','','s.hoper@qub.ac.uk / p.j.reimer@qub.ac.uk');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(362,'Centre for Isotope Research','','http://www.rug.nl/research/centre-for-isotope-research/','|analysis|','','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(361,'Centre for GeoGenetics','','http://geogenetics.ku.dk/','|analysis|','','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(360,'Canadian Centre for DNA Barcoding','','http://ccdb.ca/','|analysis|','','info@ccdb.ca');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(359,'Beta Analytic Limited','442076177459','http://www.radiocarbon.com/','|analysis|','','lab@radiocarbon.com');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(358,'Beta Analytic Inc.','','','|analysis|','','beta@radiocarbon.com');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(357,'Arkeologiska forskningslaboratoriet','08-16 20 00','http://www.archaeology.su.se/arkeologiska-forskningslaboratoriet','|analysis|','','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(356,'Archaeological, Geographical and Environmental Sciences','','','|analysis|','','');
INSERT INTO MUSARK_ACTOR.ORGANISATION(ORG_ID,FULL_NAME,TEL,WEB,SERVICE_TAGS,CONTACT,EMAIL) VALUES(355,'Anders Lindahl','','','|analysis|','','');


INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(1 ,355 ,'','','Lund','Sverige');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(2 ,356 ,'','','Bradford','Storbritannia');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(3 ,357 ,'Stockholms universitet','','SE-106 91 Stockholm','Sverige');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(4 ,358 ,'4985 S.W. 74 Court','','Miami, Florida, USA 33155','USA');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(5 ,359 ,'London BioScience Innovation Centre','2 Royal College Street','London NW1 ONH','Storbritannia');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(6 ,360 ,'Centre for Biodiversity Genomics','50 Stone Road East, University of Guelph','Guelph, ON, N1G2W1','Kanada');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(7 ,361 ,'Natural History Museum of Denmark, University of Copenhagen','','1350 Copenhagen K','Danmark');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(8 ,362 ,'University of Groningen','','9700 AB Groningen','Nederland');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(9 ,363 ,'Archaeology & Palaeoecology Building','42 Fitzwilliam Street','Belfast BT9 6AX','Northern Ireland/Storbritannia');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(10, 364,'DNA-lab, Naturhistorisk Museum','Postboks 1172 Blindern','0318 Oslo','Norge');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(11, 365,'Anzingerstr. 7a','','85560 Ebersberg','Tyskland');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(12, 366,'Skovledet 30','','DK-2830 Virum','Danmark');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(13, 367,'Institute of Archaeology, University College London','31-34, Gordon Sq,','London, WC1H 0PY','Storbritannia');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(14, 368,'Universitetet i Bergen','Postboks 7800','5020 Bergen','Norge');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(15, 369,'Uppsala University, Dept. of Organismal Biology','','75236 Uppsala','Sverige');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(16, 370,'NTNU Vitenskapsmuseet','Institutt for arkeologi og kulturhistorie','7491 Trondheim','Norge');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(17, 371,'Department of Anthropology, University of Washington','','Seattle','USA');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(18, 372,'Geologiska institutionen, Laboratoriet för C14-datering','Sölvegatan 12','SE‐223 62 Lund','Sverige');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(19, 373,'Meibergdreef 31','','1105 AZ, Amsterdam','Nederland');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(20, 374,'','','','Sverige');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(21, 375,'Umeå universitet','','901 87 Umeå','Sverige');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(22, 376,'Afd. for Konservering og Naturvidenskab','Moesgaard Allé 15','DK-8270 Højbjerg','Danmark');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(23, 377,'NTNU Vitenskapsmuseet','Institutt for naturhistorie','7491 Trondheim','Norge');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(24, 378,'University of Stavanger','visit: Peder Klowsgt. 30A','4036 Stavanger','Norge');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(25, 379,'NTNU Vitenskapsmuseet','','7491 Trondheim','Norge');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(26, 380,'','','Oslo','Norge');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(27, 381,'','','Stockholm','Sverige');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(28, 382,'Tietgensgade 64, st. th','','1704  København V','Danmark');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(29, 383,'','','Roskilde','Danmark');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(30, 384,'Leiv Eirikssons vei 39, 70410 Trondheim','Postboks 6315 Sluppen','7491 Trondheim','Norge');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(31, 385,'Medisinteknisk forskningssenter','Department of Cancer Research and Molecular Medicine','7489 Trondheim','Norge');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(32, 386,'ul. Rubiez 46','','61-62 Poznan','Polen');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(33, 387,'University of Oxford','','Oxford','Storbritannia');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(34, 388,'Strandförskjutningskurva Langangen Telemark','','','Norge');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(35, 389,'Thunbergsvägen 5B','','752 38 Uppsala Uppsala','Sverige');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(36, 390,'','','75263 Uppsala','Sverige');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(37, 391,'Miljöarkeologiska laboratoriet','','SE-901 87 Umeå','Sverige');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(38, 392,'Universitetsmuseet, avdeling for naturhistorie','Postboks 7800','5700 Bergen','Norge');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(39, 393,'Institute of Archaeology','31-34, Gordon Sq','London WC1H 0PY','Storbritannia');
INSERT INTO MUSARK_ACTOR.ORGANISATION_ADDRESS(ORGADDRESSID,ORG_ID,STREET_ADDRESS,STREET_ADDRESS_2,POSTAL_CODE_PLACE,COUNTRY_NAME) VALUES(40, 394,'Chemical Science for the Safeguard of Cultural Heritage Group','Via Giuseppe Moruzzi 13','56127 Pisa','talia');

--------------------------------------------------------------------------------
-- STORAGE FACILITY MODULE
--------------------------------------------------------------------------------
CREATE SCHEMA IF NOT EXISTS MUSARK_STORAGE;

-- ===========================================================================
-- Tables for storage nodes
-- ===========================================================================

CREATE TABLE MUSARK_STORAGE.STORAGE_NODE (
  storage_node_id   NUMBER(20) GENERATED BY DEFAULT AS IDENTITY,
  storage_node_uuid VARCHAR2(36)             NOT NULL,
  storage_node_name VARCHAR(512),
  area              NUMBER,
  area_to           NUMBER,
  is_storage_unit   VARCHAR(1)   DEFAULT '1',
  is_part_of        NUMBER(20),
  height            NUMBER,
  height_to         NUMBER,
  node_path         VARCHAR(1000)            NOT NULL,
  is_deleted        INTEGER DEFAULT 0        NOT NULL,
  storage_type      VARCHAR(100) DEFAULT 'StorageUnit',
  group_read        VARCHAR(4000),
  group_write       VARCHAR(4000),
  old_barcode       NUMBER(20),
  museum_id         INTEGER                  NOT NULL,
  updated_by        VARCHAR2(36)             NOT NULL,
  updated_date      TIMESTAMP WITH TIME ZONE NOT NULL, -- When the change was received by the system
  PRIMARY KEY (storage_node_id)
);

CREATE TABLE MUSARK_STORAGE.ROOM (
  storage_node_id               NUMBER(20) NOT NULL,
  perimeter_security            INTEGER, -- DEFAULT 0 NOT NULL,
  theft_protection              INTEGER, -- DEFAULT 1 NOT NULL,
  fire_protection               INTEGER, -- DEFAULT 0 NOT NULL,
  water_damage_assessment       INTEGER, -- DEFAULT 0 NOT NULL,
  routines_and_contingency_plan INTEGER, -- DEFAULT 0 NOT NULL,
  relative_humidity             INTEGER, -- DEFAULT 0 NOT NULL,
  temperature_assessment        INTEGER, -- DEFAULT 0 NOT NULL,
  lighting_condition            INTEGER, -- DEFAULT 0 NOT NULL,
  preventive_conservation       INTEGER, -- DEFAULT 0 NOT NULL,
  PRIMARY KEY (storage_node_id),
  FOREIGN KEY (storage_node_id) REFERENCES MUSARK_STORAGE.STORAGE_NODE (storage_node_id)
);

CREATE TABLE MUSARK_STORAGE.BUILDING (
  storage_node_id NUMBER(20) NOT NULL,
  postal_address  VARCHAR(512),
  PRIMARY KEY (storage_node_id),
  FOREIGN KEY (storage_node_id) REFERENCES MUSARK_STORAGE.STORAGE_NODE (storage_node_id)
);

CREATE TABLE MUSARK_STORAGE.ORGANISATION (
  storage_node_id NUMBER(20) NOT NULL,
  postal_address  VARCHAR(512),
  org_as_actor_id NUMBER(20),
  org_as_actor_uuid VARCHAR2(36),
  PRIMARY KEY (storage_node_id),
  FOREIGN KEY (storage_node_id) REFERENCES MUSARK_STORAGE.STORAGE_NODE (storage_node_id)
);

-- ===========================================================================
-- The NEW event tables
-- ===========================================================================
CREATE SEQUENCE nevent_sequence
INCREMENT BY 1
START WITH 1
NOMAXVALUE
NOCYCLE
NOCACHE;

CREATE TABLE MUSARK_STORAGE.NEW_EVENT (
  event_id        NUMBER(20) DEFAULT nevent_sequence.nextval,
  type_id         VARCHAR2(36)             NOT NULL,
  museum_id       INTEGER                  NOT NULL,
  done_by         VARCHAR2(512),
  done_date       TIMESTAMP WITH TIME ZONE,
  updated_date    TIMESTAMP WITH TIME ZONE,
  registered_by   VARCHAR2(36)             NOT NULL,
  registered_date TIMESTAMP WITH TIME ZONE NOT NULL,
  part_of         NUMBER(20),
  affected_uuid   VARCHAR2(36),
  affected_type   VARCHAR2(50), -- collection | sample | node | ...
  note            VARCHAR2(500),
  event_json      CLOB,
  PRIMARY KEY (event_id),
  CONSTRAINT ensure_storage_event_json CHECK (event_json IS JSON)
);

CREATE TABLE MUSARK_STORAGE.NEW_LOCAL_OBJECT (
  object_uuid         VARCHAR2(36) NOT NULL,
  latest_move_id      NUMBER(20)   NOT NULL,
  current_location_id VARCHAR2(36) NOT NULL,
  museum_id           INTEGER      NOT NULL,
  object_type         VARCHAR(50) DEFAULT 'collection', -- possible values can be 'collection', or 'sample'
  PRIMARY KEY (object_uuid),
  FOREIGN KEY (latest_move_id) REFERENCES MUSARK_STORAGE.NEW_EVENT (event_id)
);

CREATE TABLE MUSARK_STORAGE.EVENT_TYPE (
  event_type_id INTEGER GENERATED BY DEFAULT AS IDENTITY,
  name          VARCHAR(100) NOT NULL,
  PRIMARY KEY (event_type_ID)
);

-- ===========================================================================
-- Pre-populating necessary data
-- ===========================================================================

INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (1, 'MoveObject');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (2, 'MovePlace');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (3, 'EnvRequirement');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (4, 'Control');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (5, 'Observation');

INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (6, 'ControlAlcohol');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (7, 'ControlCleaning');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (8, 'ControlGas');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (9, 'ControlHypoxicAir');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (10, 'ControlLightingCondition');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (11, 'ControlMold');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (12, 'ControlPest');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (13, 'ControlRelativeHumidity');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (14, 'ControlTemperature');

INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (15, 'ObservationAlcohol');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (16, 'ObservationCleaning');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (17, 'ObservationFireProtection');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (18, 'ObservationGas');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (19, 'ObservationHypoxicAir');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (20, 'ObservationLightingCondition');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (21, 'ObservationMold');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (22, 'ObservationPerimeterSecurity');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (23, 'ObservationRelativeHumidity');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (24, 'ObservationPest');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (25, 'ObservationTemperature');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (26, 'ObservationTheftProtection');
INSERT INTO MUSARK_STORAGE.EVENT_TYPE (event_type_id, name) VALUES (27, 'ObservationWaterDamageAssessment');

--------------------------------------------------------------------------------
-- ANALYSIS MODULE
--------------------------------------------------------------------------------
CREATE SCHEMA IF NOT EXISTS MUSARK_ANALYSIS;

CREATE SEQUENCE MUSARK_ANALYSIS.sample_object_sample_num_seq
INCREMENT BY 1
START WITH 1
NOMAXVALUE
NOCYCLE
NOCACHE;


CREATE TABLE MUSARK_ANALYSIS.SAMPLE_OBJECT (
  sample_uuid            VARCHAR2(36)             NOT NULL,
  parent_object_uuid     VARCHAR2(36),
  parent_object_type     VARCHAR(50),
  is_extracted           INTEGER DEFAULT 0        NOT NULL,
  museum_id              INTEGER                  NOT NULL,
  status                 INTEGER DEFAULT 1        NOT NULL,
  responsible_actor      VARCHAR2(512),
  done_by                VARCHAR2(36),
  done_date              TIMESTAMP WITH TIME ZONE,
  sample_id              VARCHAR2(100),
  sample_num             INTEGER DEFAULT MUSARK_ANALYSIS.sample_object_sample_num_seq.nextval,
  external_id            VARCHAR2(100),
  external_id_source     VARCHAR2(100),
  sample_type_id         INTEGER                  NOT NULL,
  sample_size            NUMBER,
  sample_size_unit       VARCHAR2(10),
  sample_container       VARCHAR2(100),
  storage_medium         VARCHAR2(100),
  treatment              VARCHAR2(100),
  leftover_sample        INTEGER DEFAULT 1        NOT NULL,
  description            VARCHAR2(250),
  note                   VARCHAR2(250),
  originated_object_uuid VARCHAR2(36)             NOT NULL,
  registered_by          VARCHAR2(36)             NOT NULL,
  registered_date        TIMESTAMP WITH TIME ZONE NOT NULL,
  updated_by             VARCHAR2(36),
  updated_date           TIMESTAMP WITH TIME ZONE,
  is_deleted             INTEGER DEFAULT 0        NOT NULL,
  PRIMARY KEY (sample_uuid)
);

CREATE TABLE MUSARK_ANALYSIS.SAMPLE_TYPE (
  sampletype_id    NUMBER(20) GENERATED BY DEFAULT AS IDENTITY,
  no_sampletype    VARCHAR2(100) NOT NULL,
  en_sampletype    VARCHAR2(100) NOT NULL,
  no_samplesubtype VARCHAR2(100),
  en_samplesubtype VARCHAR2(100),
  PRIMARY KEY (sampletype_id)
);

CREATE SEQUENCE MUSARK_ANALYSIS.event_type_type_id_seq
INCREMENT BY 1
START WITH 1
NOMAXVALUE
NOCYCLE
NOCACHE;

CREATE TABLE MUSARK_ANALYSIS.EVENT_TYPE (
  type_id     INTEGER DEFAULT MUSARK_ANALYSIS.event_type_type_id_seq.nextval,
  category                     INTEGER       NOT NULL,
  no_name                      VARCHAR2(100) NOT NULL,
  en_name                      VARCHAR2(100) NOT NULL,
  short_name                   VARCHAR2(50),
  collections                  VARCHAR2(500), -- if empty then all collections, else value is ',uuid_1,uuid_2,uuid_9,'     LIKE '%,uuid_2,%'
  extra_description_type       VARCHAR2(50),
  extra_description_attributes CLOB,
  extra_result_type            VARCHAR2(50),
  extra_result_attributes      CLOB,
  PRIMARY KEY (type_id)
);

CREATE TABLE MUSARK_ANALYSIS.EVENT (
  event_id        NUMBER(20) GENERATED BY DEFAULT AS IDENTITY,
  type_id         INTEGER                  NOT NULL,
  museum_id       INTEGER                  NOT NULL,
  done_by         VARCHAR2(512),
  done_date       TIMESTAMP WITH TIME ZONE,
  updated_date    TIMESTAMP WITH TIME ZONE,
  registered_by   VARCHAR2(36)             NOT NULL,
  registered_date TIMESTAMP WITH TIME ZONE NOT NULL,
  part_of         NUMBER(20),
  affected_uuid   VARCHAR2(36),
  note            VARCHAR2(500),
  status          INTEGER,
  case_numbers    VARCHAR2(1000),
  event_json      CLOB,
  PRIMARY KEY (event_id),
  CONSTRAINT ensure_event_json CHECK (event_json IS JSON)
  );

CREATE TABLE MUSARK_ANALYSIS.RESULT (
  event_id        NUMBER(20)               NOT NULL,
  museum_id       INTEGER                  NOT NULL,
  registered_by   VARCHAR2(36)             NOT NULL,
  registered_date TIMESTAMP WITH TIME ZONE NOT NULL,
  result_json     CLOB,
  PRIMARY KEY (event_id),
  FOREIGN KEY (event_id) REFERENCES MUSARK_ANALYSIS.EVENT (event_id),
  CONSTRAINT ensure_result_json CHECK (result_json IS JSON)
  );

CREATE TABLE MUSARK_ANALYSIS.TREATMENT (
  treatment_id NUMBER(20) GENERATED BY DEFAULT AS IDENTITY,
  no_treatment VARCHAR2(100) NOT NULL,
  en_treatment VARCHAR2(100) NOT NULL,
  PRIMARY KEY (treatment_id)
);

CREATE TABLE MUSARK_ANALYSIS.STORAGEMEDIUM (
  storagemedium_id NUMBER(20) GENERATED BY DEFAULT AS IDENTITY,
  no_storagemedium VARCHAR2(100) NOT NULL,
  en_storagemedium VARCHAR2(100) NOT NULL,
  PRIMARY KEY (storagemedium_id)
);

CREATE TABLE MUSARK_ANALYSIS.STORAGECONTAINER (
  storagecontainer_id NUMBER(20) GENERATED BY DEFAULT AS IDENTITY,
  no_storagecontainer VARCHAR2(100) NOT NULL,
  en_storagecontainer VARCHAR2(100) NOT NULL,
  PRIMARY KEY (storagecontainer_id)
);

-- INSERTING EVENT TYPES / ANALYSIS TYPES
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (11, 'HPLC', NULL, NULL, NULL, 'Væskekromatografi', 'High performance liquid chromatography');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (11, NULL, NULL, NULL, NULL, 'Fargereaksjon', 'Spot test');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (11, NULL, NULL, NULL, NULL, 'UV-lys', 'UV-light');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (11, 'TLC', NULL, NULL, NULL, 'Tynnsjiktkromatografi', 'Thin Layer Chromotography');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (5, NULL, 'MicroscopyAttributes', '{"method":"Int"}', NULL, 'Mikroskopi', 'Microscopy');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (5, NULL, NULL, NULL, NULL, 'Røntgenfotografering', 'Radiography');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (5, NULL, 'TomographyAttributes', '{"method":"Int"}', NULL, 'Tomografi', 'Tomography');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (5, 'UV', NULL, NULL, NULL, 'Ultrafiolett fluorisering', 'Ultraviolet fluorescence');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_type, extra_result_attributes, no_name, en_name) VALUES (3, 'C14', NULL, NULL, 'RadioCarbonResult', '{"ageEstimate":"String","standardDeviation":"String"}', 'Radiokarbondatering', 'Radiocarbon dating');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_type, extra_result_attributes, no_name, en_name) VALUES (3, 'Dendro', NULL, NULL, 'AgeResult', '{"age":"String"}', 'Dendrokronologi', 'Dendrochronology');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_type, extra_result_attributes, no_name, en_name) VALUES (3, 'TL/OSL', NULL, NULL, 'AgeResult', '{"age":"String"}', 'Termoluminesens datering', 'Thermoluminescence/Optical stimulated luminescence');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (2, NULL, NULL, NULL, NULL, 'Kolorimetri', 'Colorimetry');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (2, NULL, NULL, NULL, NULL, 'Spektrofotometri', 'Spectrophotometry');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (4, 'DNA', NULL, NULL, NULL, 'DNA-analyse (kulturhistorisk)', 'DNA analysis (cultural history)');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (4, NULL, NULL, NULL, NULL, 'Strekkoding', 'Barcoding');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_type, extra_result_attributes, no_name, en_name) VALUES (4, NULL, 'ExtractionAttributes', '{"extractionType":"String","method":"String"}', 'ExtractionResult', '{"storageMedium":"String","concentration":"Size","volume":"Size"}', 'Ekstraksjon (DNA, RNA, ...)', 'Extraction (DNA, RNA, ..)');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (4, NULL, NULL, NULL, NULL, 'Mikrosatellitter', 'Microsatellites');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (4, 'NGS', NULL, NULL, NULL, 'NGS-sekvensering', 'NGS sequencing');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (4, NULL, NULL, NULL, NULL, 'Sanger-sekvensering', 'Sanger sequensing');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'GC-MS', NULL, NULL, NULL, 'Gasskromatografi-massespektrometri', 'Gas Chromatography - Mass Spectrometry');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'XRF', NULL, NULL, NULL, 'Røntgenfluorescensspektroskopi', 'X-ray fluorescence');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'MS', NULL, NULL, NULL, 'Massespektrometri', 'Mass spectrometry');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'SEM-EDX/EDS', NULL, NULL, NULL, 'Skanning elektron mikroskopi-Energidispersiv røntgenspektroskopi', 'Scanning electron microscopy - Energy-dispersive X-ray spectroscopy');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'FTIR', NULL, NULL, NULL, 'Fouriertransform infrarød spektroskopi', 'Fourier transform infrared spectroscopy');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'ISE-Cl', NULL, NULL, NULL, 'Ioneselektiv elektrode, klorid', 'Ion-selective electrode, chloride');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'ISE-H', NULL, NULL, NULL, 'Ioneselektiv elektrode, pH', 'Ion-selective electrode, pH');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'Py-GC/MS', NULL, NULL, NULL, 'Pyrolyse gasskromatografi-massespektrometri', 'Pyrolysis-gas chromatography/mass spectrometry');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'Raman', NULL, NULL, NULL, 'Raman-spektroskopi', 'Raman spectroscopy');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'XRD', NULL, NULL, NULL, 'Røntgendiffraksjon', 'X-ray diffraction');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'HPLC', NULL, NULL, NULL, 'Væskekromatografi', 'High performance liquid chromatography');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, NULL, 'IsotopeAttributes', '{"types":"Array[Int]"}', NULL, 'Isotopanalyse', 'Isotope analysis');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'NMR', NULL, NULL, NULL, 'Nuclear magnetic resonance spectroscopy', 'Nuclear magnetic resonance spectroscopy');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, NULL, NULL, NULL, NULL, 'Fettsyreanalyse', 'Lipids');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'XANES', NULL, NULL, NULL, 'X-ray Absorption Near Edge Structure', 'X-ray absorption near edge structure');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'ICP', 'ElementalICPAttributes', '{"method":"Int"}', NULL, 'Grunnstoffanalyse (ICP: Inductively coupled plasma analyses with different types of detectors)', 'Elemental analysis (ICP: Inductively coupled plasma analyses with different types of detectors)');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'AAS', 'ElementalAASAttributes', '{"method":"Int"}', NULL, 'Grunnstoffanalyse (AAS: atomabsorbsjonspektroskopi)', 'Elemental analysis (AAS: atomabsorbsjonspektroskopi)');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (1, 'AFS', NULL, NULL, NULL, 'Grunnstoffanalyse (AFS)', 'Elemental analysis (AFS)');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (6, NULL, NULL, NULL, NULL, 'Plantemateriale, makro (forkullet/uforkullet)', 'Plant material (charred/not charred)');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (7, 'P+S', NULL, NULL, NULL, 'Pollen og sporer', 'Pollen and spores');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_type, extra_result_attributes, no_name, en_name) VALUES (8, NULL, NULL, NULL, 'MeasurementResult', '{"measurementId": "String", "measurementType":"String","size":"Size","precision":"String","method":"String"}', 'Målinger & tellinger', 'Counts & measurements');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (9, NULL, NULL, NULL, NULL, 'Skjelettanalyse, dyrebein', 'Osteology, non-human');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (9, NULL, NULL, NULL, NULL, 'Skjelettanalyse, menneske', 'Osteology, human');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (10, 'Cit-P', NULL, NULL, NULL, 'Fosfat', 'Phosphate determination');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (10, NULL, NULL, NULL, NULL, 'Jordmikromorfologi', 'Soil micromorphology');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (12, NULL, NULL, NULL, NULL, 'Tekstil- og fiberanalyse', 'Textile and fibre analysis');
INSERT INTO MUSARK_ANALYSIS.EVENT_TYPE (category, short_name, extra_description_type, extra_description_attributes, extra_result_attributes, no_name, en_name) VALUES (13, NULL, NULL, NULL, NULL, 'Vedanatomi (forkullet/uforkullet)', 'Wood anatomy (charred/uncharred)');

--- INSERTING TREATMENTS
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(1,'CTAB','CTAB');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(2,'DNAdvance Beckman Coulter','Advance Beckman Coulter');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(3,'EZNA plant kit','EZNA plant kit');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(4,'Hot shot','Hot shot');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(5,'Mole robot','Mole robot');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(6,'Omega EZNA blood and tissue kit','Omega EZNA blood and tissue kit');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(7,'Omega EZNA blood kit',' Omega EZNA blood kit');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(8,'Omega EZNA plant kit',' Omega EZNA plant kit');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(9,'Omega EZNA tissue kit','Omega EZNA tissue kit');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(10,'Phenol-Chloroform','Phenol-Chloroform');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(11,'Qiagen blood and tissue kit','Qiagen blood and tissue kit');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(12,'Qiagen blood kit','Qiagen blood kit');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(13,'Qiagen plant kit','Qiagen plant kit');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(14,'Qiagen tissue kit','Qiagen tissue kit');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(15,'Quick extract','Quick extract');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(16,'WGA (GenomiPhi)','WGA (GenomiPhi)');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(17,'Spectrum plant toal RNA kit',' Spectrum plant toal RNA kit');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(18,'Drilling','Drilling');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(19,'Ekstrahering','Extraction');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(20,'Fjernet ved bruk av skalpell','Removed using scalpel');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(21,'Løse fragment(er)','Loose fragment(s)');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(22,'Skjæring/kutting','Cutting');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(23,'Skraping','Scraping');
INSERT INTO MUSARK_ANALYSIS.TREATMENT(treatment_id, no_treatment,en_treatment) VALUES(24,'Saging','Sawing');

-- INSERTING STORAGE CONTAINERS
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(1 ,'Deionisert vann (diH2O)','Deionized water (diH2O)');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(2 ,'Buffer EDTA','Buffer EDTA');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(3 ,'Buffer TE ','Buffer TE');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(4 ,'Buffer uspesifisert','Buffer (Unspecified)');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(5 ,'Destillert vann (dH2O)','Distilled water (dH2O)');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(6 ,'DMSO','DMSO');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(7 ,'Dobbeltdestillert vann (ddH2O)','Double-distilled water (ddH2O)');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(8 ,'Elution buffer','Elution buffer');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(9 ,'Etanol','Ethanol');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(10,'Etanol 70%','Ethanol 70%');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(11,'Etanol 80%','Ethanol 80%');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(12,'Etanol 96%','Ethanol 96%');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(13,'Fenol','Phenol');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(14,'Flytende nitrogen','Liquid nitrogen');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(15,'Formalin','Formalin');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(16,'Glyserol','Glycerol');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(17,'Fysiologisk saltvann','Physiological saline');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(18,'Iseddik','Glacial acetic acid');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(19,'Isopropanol','Isopropanol');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(20,'Langmeir solution','Langmeir solution');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(21,'Queens lysis buffer','Queens lysis buffer');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(22,'RNAlater','RNAlater');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(23,'SET buffer','SET buffer');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(24,'Silika','Silica gel');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(25,'Tørr','Dry');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(26,'Parafinvoks','Paraffin wax');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(27,'Buffer Tris-HCL (u/EDTA)','Buffer Tris-HCL (no EDTA)');
INSERT INTO MUSARK_ANALYSIS.STORAGEMEDIUM(storagemedium_id, no_storagemedium,en_storagemedium) VALUES(28,'Buffer TBE','Buffer TBE');


INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(1, 'Eppendorfrør','Eppendorf tube');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(2, 'Kryorør','Cryo tube');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(4, 'Lynlåspose, plast (LDPE)','Self-sealing bags, plastic (LDPE)');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(5, 'Mikrofilterplate','Microfilter plate');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(6, 'Mikrosentrifugerør','Microcentrifuge tube');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(7, 'Papirpose','Paper bag');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(8, 'PCR-rør','PCR tube');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(9,'Større plastbeholder m/skrulokk','Larger plastic container with screw lid');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(10,'Større glassbeholder m/skrulokk','Larger glas container with screw lid');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(11,'Plastrør 0,2 mL','Plastic tube 0.2 ml');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(12,'Plastrør 0,5 mL','Plastic tube 0.5 ml');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(13,'Plastrør 1,5 mL','Plastic tube 1.5 ml');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(14,'Plastrør 2,0 mL','Plastic tube 2.0 ml');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(15,'Plastrør 8,0 mL','Plastic tube 8.0 ml');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(16,'Plastrør 15 mL','Plastic tube 15 ml');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(17,'Plastrør 50 mL','Plastic tube 50 ml');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(18,'Mikrotiterplate 96 brønner','Microtiter plate 96 wells');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(19,'Syrefri pappeske','Acid free cardboard box');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(20,'Syrefritt silkepapir','Acid free tissue');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(21,'Pappeske, ikke arkivstandard','Cardboard box, not archival standard');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(22,'Polyetylen skum (Ethafoam/Plastazote)','Polyethylene Foam (Ethafoam/Plastazote)');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(23,'Polystyren eske','Polystyrene box');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(24,'Reagensglass','Locked test tubes');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(25,'Prøvekube','Small locked test tubes');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(26,'PVC-rør','PVC-tube');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(27,'Kasseprøve','Wooden box');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(28,'Plastboks (5 L)','Box (plastic) 5 L');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(29,'Isbiter boks','Ice-cube box');
INSERT INTO MUSARK_ANALYSIS.STORAGECONTAINER(storagecontainer_id, no_storagecontainer,en_storagecontainer) VALUES(30,'Preparateske for slides','Slidebox');

-- INSERTING SAMPLE TYPES
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(1,'DNA-ekstrakt','DNA extract','aDNA','aDNA');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(2,'DNA-ekstrakt','DNA extract','eDNA','eDNA');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(3,'DNA-ekstrakt','DNA extract','gDNA','gDNA');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(4,'DNA-ekstrakt','DNA extract','rDNA','rDNA');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(5,'Vev','Tissue','Frø','Seed');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(6,'Levende individ','Living individual','','');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(7,'Parasitt','Parasite','Ektoparasitt','Ectoparasite');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(8,'Parasitt','Parasite','Endoparasitt','Endoparasite');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(9,'RNA-bibliotek','RNA library','','');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(10,'RNA-ekstrakt','RNA extract','','');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(11,'Vev','Tissue','Apothecia','Apothecia');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(12,'Vev','Tissue','Bein','Bone');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(13,'Vev','Tissue','Binde- og støttevev','Connective tissue');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(14,'Vev','Tissue','Blad','Leaf');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(15,'Vev','Tissue','Blod','Blood');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(16,'Vev','Tissue','Epitelvev','Epithelial tissue');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(17,'Vev','Tissue','Fjær','Feather');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(18,'Vev','Tissue','Føtter','Legs');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(19,'Vev','Tissue','Grunnvev','Ground tissue');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(20,'Vev','Tissue','Hale','Tail');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(21,'Vev','Tissue','Hjerne','Brain');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(22,'Vev','Tissue','Hudvev','Epidermis');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(23,'Vev','Tissue','Hår','Hair');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(24,'Vev','Tissue','Knokkel','Bone');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(25,'Vev','Tissue','Ledningsvev','Vascular tissue');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(26,'Vev','Tissue','Lever','Liver');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(27,'Vev','Tissue','Muskel','Muscle');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(28,'Vev','Tissue','Nervevev','Nervous tissue');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(29,'Vev','Tissue','Plasma','Plasma');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(30,'Vev','Tissue','Skinn','Skin');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(31,'Vev','Tissue','Soredia','Soredia');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(32,'Vev','Tissue','Testikkel','Testicle');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(33,'Vev','Tissue','Thallus','Thallus');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(34,'Vev','Tissue','Tåpute','Toe pad');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(35,'Vev','Tissue','Vinge','Wing');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(36,'Vev','Tissue','Øre','Ear');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype)VALUES(37,'Materiale','Material','','');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (38, 'Arkeologisk materiale', 'Archaeological material','leire ','clay');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (39, 'Arkeologisk materiale', 'Archaeological material','lerret','canvas');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (40, 'Arkeologisk materiale', 'Archaeological material','lin','flax');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (41, 'Arkeologisk materiale', 'Archaeological material','lær','leather');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (164,'Etnografisk materiale', 'Ethnografic material','agat','agate');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (165,'Etnografisk materiale', 'Ethnografic material','akryl','acrylic');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (166,'Etnografisk materiale', 'Ethnografic material','alabast','alabaster');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (167,'Etnografisk materiale', 'Ethnografic material','ametyst','amethyst');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (376,'Numismatisk materiale', 'Numismatic material','Porselen','Porcelain');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (377,'Numismatisk materiale', 'Numismatic material','Sink','Zink');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (378,'Numismatisk materiale', 'Numismatic material','Stål','Steel');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (380,'Sediment-/jordprøver',  'Sediment and soil samples', 'C/N prøver', 'C/N samples');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (381,'Sediment-/jordprøver',  'Sediment and soil samples', 'Jordmikromorfologiske prøver','Soil micromorphology samples');
INSERT INTO MUSARK_ANALYSIS.SAMPLE_TYPE(sampletype_id,no_sampletype,en_sampletype,no_samplesubtype,en_samplesubtype) VALUES (382,'Sediment-/jordprøver',  'Sediment and soil samples', 'Kornfordelingsprøver','Grain size distribution (GSD) samples');
